Status: Closed
Priority: Normal
Assignee: Daniel Lobato Garcia
Category: Web Interface
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3156
Description

Rubocop can enforce what timezone to store in the database via Rubocop, so we can ensure everything is stored using UTC and we
don't miss these things in code reviews. When objects are displayed, they must use the time provided by set_timezone in the
controller.

This is particularly relevant for Trends, Puppet graphs, etc... to ensure they are stored always properly.

Associated revisions

Revision a977bd3b - 02/16/2016 05:01 AM - Daniel Lobato Garcia

Fixes #13557 - Rubocop enforce specifying a timezone

Rubocop can enforce what timezone to store in the database ,
so we can ensure everything is stored using UTC and we don't
miss these things in code reviews. When objects are displayed,
they must use the time provided by set_timezone in the
controller.

This is particularly relevant for Trends, Puppet graphs, etc... to
ensure they are stored always properly

History

#1 - 02/04/2016 05:32 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3156 added

#2 - 02/16/2016 06:01 AM - Daniel Lobato Garcia
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset a977bd3b1{63cd7be9042bff5cdcefc6bc9f292d.

#3 - 02/16/2016 09:07 AM - Dominic Cleal

- translation missing: en.field_release set to 71
